This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 254361 - (micro-optimization) pam_xauth.c: one call to sysconf is enough
(micro-optimization) pam_xauth.c: one call to sysconf is enough
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-25 15:14 EDT by Sami Farin
Modified: 2008-04-08 03:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 03:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
one call to sysconf is enough (722 bytes, patch)
2007-08-25 15:14 EDT, Sami Farin
no flags Details | Diff

  None (edit)
Description Sami Farin 2007-08-25 15:14:48 EDT
Description of problem:
strace output looks retarded.
8-)

8321  21:13:18.491461 getrlimit(RLIMIT_NOFILE, {rlim_cur=1024,
rlim_max=10*1024}) = 0 <0.000011>
8321  21:13:18.491513 close(622)        = -1 EBADF (Bad file descriptor) <0.000011>
8321  21:13:18.491564 getrlimit(RLIMIT_NOFILE, {rlim_cur=1024,
rlim_max=10*1024}) = 0 <0.000011>
8321  21:13:18.491616 close(623)        = -1 EBADF (Bad file descriptor) <0.000011>


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. enable pam_xauth.so in some module
2.
3.
  
Actual results:
many calls...

Expected results:
one call...

Additional info:
after patch:
22233 22:12:56.864605 getrlimit(RLIMIT_NOFILE, {rlim_cur=1024,
rlim_max=10*1024}) = 0 <0.000013>
22233 22:12:56.864663 close(2)          = 0 <0.000013>
22233 22:12:56.864712 close(3)          = 0 <0.000014>
22233 22:12:56.864762 close(4)          = 0 <0.000013>
...
Comment 1 Sami Farin 2007-08-25 15:14:48 EDT
Created attachment 172581 [details]
one call to sysconf is enough
Comment 2 Tomas Mraz 2008-04-08 03:02:18 EDT
Applied to upstream CVS. Thank you.

Note You need to log in before you can comment on or make changes to this bug.